Summary:	Fcitx - Free Chinese Input Toys for X
Name:		fcitx
Version:	4.2.0
Release:	%mkrel 1
License:	GPL
Group:		System/Internationalization
URL:		http://code.google.com/p/fcitx/
Source0:	http://fcitx.googlecode.com/files/%name-%{version}_dict.tar.bz2
BuildRequires:	cmake
BuildRequires:	gettext-devel
BuildRequires:	libx11-devel
BuildRequires:	libxft-devel
BuildRequires:	xpm-devel
BuildRequires:	libxext-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	gtk+2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	opencc-devel
BuildRequires:	wget
BuildRequires:	cairo-devel
BuildRequires:	pango-devel
BuildRequires:	intltool
BuildRequires:	chrpath
BuildRequires:	desktop-file-utils
Requires:	locales-zh

%description
%{name} is an X input method allowing people to enter simplified Chinese
characters in X environment following XIM standard.

%package devel
Summary: fcitx development library
Group: Development/C
Requires: %{name} = %{version}

%description devel
fcitx development files.

%package gtk
Summary: fcitx gtk module
Group: System/Internationalization
Requires: %{name} = %{version}
Requires(post): gtk+2.0
Requires(postun): gtk+2.0

%description gtk
fcitx gtk module.

%post gtk
%{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib

%postun gtk
%{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib

%package gtk3
Summary: fcitx gtk3 module
Group: System/Internationalization
Requires: %{name} = %{version}
Requires(post): gtk+3.0
Requires(postun): gtk+3.0

%description gtk3
fcitx gtk module.

%post gtk3
%{_bindir}/gtk-query-immodules-3.0-%{__isa_bits} --update-cache

%postun gtk3
%{_bindir}/gtk-query-immodules-3.0-%{__isa_bits} --update-cache

%prep
%setup -q -n %name-%version

%build
%cmake -DENABLE_GTK2_IM_MODULE=ON -DENABLE_GTK3_IM_MODULE=ON -DCMAKE_SKIP_RPATH=OFF
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

chrpath -d %{buildroot}%{_libdir}/*.so
desktop-file-install --dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%attr(0644,-,-) %doc doc/*.txt doc/*.htm
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/mime/packages/*.xml
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/*/*/*/*

%files gtk
%defattr(-,root,root)
%{_libdir}/gtk-2.0/*/immodules/im-fcitx.so

%files gtk3
%defattr(-,root,root)
%{_libdir}/gtk-3.0/*/immodules/im-fcitx.so

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/cmake/%{name}
%{_includedir}/*


%changelog

* Mon Mar 05 2012 fwang <fwang> 4.2.0-1.mga2
+ Revision: 218346
- new version 4.2.0

* Wed Oct 12 2011 fwang <fwang> 4.1.2-1.mga2
+ Revision: 154014
- fix desktop file
- update file list

  + tv <tv>
    - new release

* Sat Sep 17 2011 fwang <fwang> 4.1.1-1.mga2
+ Revision: 144606
- update file list
- fix chrpath path
- br gtk2
- update file list
- new version 4.1.1

* Thu Mar 24 2011 boklm <boklm> 4.0.1-2.mga1
+ Revision: 76137
- rebuild for bug #497

* Fri Mar 18 2011 tv <tv> 4.0.1-1.mga1
+ Revision: 73715
- imported package fcitx


* Mon Dec 20 2010 Funda Wang <fwang@mandriva.org> 4.0.1-1mdv2011.0
+ Revision: 623234
- new version 4.0.1

* Sun Nov 21 2010 Funda Wang <fwang@mandriva.org> 4.0.0-2mdv2011.0
+ Revision: 599321
- add two upstream patch to fix problems

* Fri Nov 19 2010 Funda Wang <fwang@mandriva.org> 4.0.0-1mdv2011.0
+ Revision: 598900
- new version 4.0.0
- new version 4.0.0

* Fri Feb 19 2010 Funda Wang <fwang@mandriva.org> 3.6.3-1mdv2010.1
+ Revision: 507965
- BR dbus
- new version 3.6.3

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 3.6.2-1mdv2010.1
+ Revision: 460569
- New version 3.6.2

* Mon Oct 05 2009 Funda Wang <fwang@mandriva.org> 3.6.1-2mdv2010.0
+ Revision: 454166
- update to svn trunk
- really use 3.6.1 tarball

* Thu Sep 24 2009 Frederik Himpe <fhimpe@mandriva.org> 3.6.1-1mdv2010.0
+ Revision: 448396
- update to new version 3.6.1

* Sat Jul 11 2009 Funda Wang <fwang@mandriva.org> 3.6.0-1mdv2010.0
+ Revision: 394836
- BR xext
- fix linkage
- new version 3.6.0 final

* Sun Jan 18 2009 Funda Wang <fwang@mandriva.org> 3.6.0-0.rc.1mdv2009.1
+ Revision: 330812
- New version 3.6.0 rc
- rediff winposition patch

* Thu Jun 19 2008 Funda Wang <fwang@mandriva.org> 3.5-2mdv2009.0
+ Revision: 226418
- add patch for -asneeded
- simplify the BR

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 3.5-1mdv2008.1
+ Revision: 136411
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - s/Mandrake/Mandriva/

* Thu Jul 19 2007 Funda Wang <fwang@mandriva.org> 3.5-1mdv2008.0
+ Revision: 53434
- New version

* Fri Jul 06 2007 Funda Wang <fwang@mandriva.org> 3.5-0.070703.1mdv2008.0
+ Revision: 49152
- New version

* Sun Jul 01 2007 Funda Wang <fwang@mandriva.org> 3.5-0.070630.1mdv2008.0
+ Revision: 46417
- New version

* Tue May 29 2007 Funda Wang <fwang@mandriva.org> 3.5-0.070528.1mdv2008.0
+ Revision: 32415
- New snapshot

* Mon May 28 2007 Funda Wang <fwang@mandriva.org> 3.5-0.070527.1mdv2008.0
+ Revision: 31890
- New version

* Mon May 07 2007 Funda Wang <fwang@mandriva.org> 3.5-0.070507.1mdv2008.0
+ Revision: 24113
- New upstream version 070507


* Sat Apr 07 2007 Funda Wang <fundawang@mandriva.org> 3.5-0.070403.1mdv2007.1
+ Revision: 150914
- new version upstream.

* Tue Feb 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 3.5-0.070112.1mdv2007.1
+ Revision: 126467
- Import fcitx

* Fri Feb 23 2007 Funda Wang <fundawang@gmail.com> 3.5-0.070112.1mdv2007.1
- New release

* Mon Aug 28 2006 Funda Wang <fundawang@gmail.com> 3.3-1mdv2007.0
- New release
- Killed patch2,3,4,5 (merged upstream)

* Thu Aug 03 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.2.1-2
- add BuildRequires: gettext-devel

* Sun Jul 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 3.2.1-1mdv2007.0
- fix build requires
- from Funda Wang <fundawang@gmail.com>:
  o new release
  o add patch by wpyh (see http://www.linuxsir.org/bbs/forumdisplay.php?f=42)

* Mon Jun 12 2006 Funda Wang <fundawang@gmail.com> 3.2-1mdv2007.0
- New release 3.2

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 3.1.1-4mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.1.1-3mdk
- Rebuild

* Sun Jul 31 2005 Abel Cheung <deaddog@mandriva.org> 3.1.1-2mdk
- Rebuild to bring it back

* Tue Apr 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.1.1-1mdk
- new release

* Fri Mar 11 2005 Abel Cheung <deaddog@mandrake.org> 3.0.4-2mdk
- Rebuild

* Mon Feb 28 2005 Abel Cheung <deaddog@mandrake.org> 3.0.4-1mdk 
- new release

* Tue Jan 04 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.3-1mdk
- new release
- fix rpmlint warning

* Sat Sep 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.0-1mdk
- new release

* Sun Aug 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.2-1mdk
- new release
- drop patch 0

